<?php
return [
    t('Настройки фискализации (Платежная система ВТБ)'), //Вкладка на которую будет добавлено поле, поля в массиве ниже будут приписаны к этой вкладке в конец
    'measure_fiscal' => new \RS\Orm\Type\Varchar([
        'description' => t('Единицы измерения'),
        'hint' => t('Единицы измерения количества предмета расчета.'),
        'listFromArray' => [
            [
                '-' => 'Выберите опцию',
                '0' => 'Применяется для предметов расчета, которые могут быть реализованы поштучно или единицами',
                '10' => 'Грамм',
                '11' => 'Килограмм',
                '12' => 'Тонна',
                '20' => 'Сантиметр',
                '21' => 'Дециметр',
                '22' => 'Метр',
                '30' => 'Квадратный сантиметр',
                '31' => 'Квадратный дециметр',
                '32' => 'Квадратный метр',
                '40' => 'Миллилитр',
                '41' => 'Литр',
                '42' => 'Кубический метр',
                '50' => 'Киловатт час',
                '51' => 'Гигакалория',
                '70' => 'Сутки (день)',
                '71' => 'Час',
                '72' => 'Минута',
                '73' => 'Секунда',
                '80' => 'Килобайт',
                '81' => 'Мегабайт',
                '82' => 'Гигабайт',
                '83' => 'Терабайт',
                '255' => 'Применяется при использовании иных единиц измерения'
            ]
        ],
        'default' => '-'
    ]),
    'tax_type_fiscal' => new \RS\Orm\Type\Varchar([
        'description' => t('Налоговая ставка'),
        'hint' => t('Устанавливает номер налога в ККТ.'),
        'listFromArray' => [
            [
                '-' => 'Выберите опцию',
                'none' => 'Без НДС',
                'vat0' => 'НДС по ставке 0%',
                'vat10' => 'НДС чека по ставке 10%',
                'vat110' => 'НДС чека по расчетной ставке 10/110',
                'vat20' => 'НДС чека по ставке 20%',
                'vat120' => 'НДС чека по расчетной ставке 20/120'
            ]
        ],
        'default' => '-'
    ]),
    'payment_type_fiscal' => new \RS\Orm\Type\Varchar([
        'description' => t('Способ расчета'),
        'hint' => t('Признак способа расчёта.'),
        'listFromArray' => [
            [
                '-' => 'Выберите опцию',
                'full_prepayment' => 'Предоплата 100%',
                'prepayment' => 'Предоплата',
                'advance' => 'Аванс',
                'full_payment' => 'Полный расчет',
                'partial_payment' => 'Частичный расчет и кредит',
                'credit' => 'Передача в кредит',
                'credit_payment' => 'Оплата кредита'
            ]
        ],
        'default' => '-'
    ]),
    'payment_subject_fiscal' => new \RS\Orm\Type\Varchar([
        'description' => t('Предмет расчета'),
        'hint' => t('Признак предмета расчёта.'),
        'listFromArray' => [
            [
                '-' => 'Выберите опцию',
                '1' => 'Товар',
                '2' => 'Подакцизный товар',
                '3' => 'Работа',
                '4' => 'Услуга',
                '5' => 'Ставка азартной игры',
                '6' => 'Выигрыш азартной игры',
                '7' => 'Ставка лотереи',
                '8' => 'Выигрыш лотереи',
                '9' => 'Предоставление прав',
                '10' => 'Платеж',
                '11' => 'Агентское вознаграждение',
                '12' => 'Выплата',
                '13' => 'Иной предмет расчёта',
                '14' => 'Имущественное право',
                '15' => 'Внереализационный доход',
                '16' => 'Страховые взносы',
                '17' => 'Торговый сбор',
                '18' => 'Курортный сбор',
                '19' => 'Залог',
                '20' => 'Расход',
                '21' => 'Взносы на ОПС ИП',
                '22' => 'Взносы ОПС',
                '23' => 'Взносы на ОМС ИП',
                '24' => 'Взносы на ОМС',
                '25' => 'Взносы на ОСС',
                '26' => 'Платеж казино',
                '27' => 'Выдача денежных средств банковским платежным агентом',
                '30' => 'Подакцизный товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки',
                '31' => 'Подакцизный товар, подлежащий маркировке средством идентификации, имеющий код маркировки',
                '32' => 'Товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки, за исключением подакцизного товара',
                '33' => 'Товар, подлежащий маркировке средством идентификации, имеющий код маркировки, за исключением подакцизного товара'
            ]
        ],
        'default' => '-'
    ])
];
